commoble.databuddy.codec

## Class VariatingCodec.NoopWrapperCodec<K,V>

- java.lang.Object
- - commoble.databuddy.codec.VariatingCodec.NoopWrapperCodec<K,V>

All Implemented Interfaces:
  com.mojang.serialization.Codec<com.mojang.datafixers.util.Pair<K,V>>, com.mojang.serialization.Decoder<com.mojang.datafixers.util.Pair<K,V>>, com.mojang.serialization.Encoder<com.mojang.datafixers.util.Pair<K,V>>

Enclosing class:
  VariatingCodec<K,V>

    protected static class VariatingCodec.NoopWrapperCodec<K,V>
    extends java.lang.Object
    implements com.mojang.serialization.Codec<com.mojang.datafixers.util.Pair<K,V>>

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.mojang.serialization.Codec

`com.mojang.serialization.Codec.ResultFunction<A>`

### Nested classes/interfaces inherited from interface com.mojang.serialization.Decoder

`com.mojang.serialization.Decoder.Boxed<A>, com.mojang.serialization.Decoder.Simple<A>, com.mojang.serialization.Decoder.Terminal<A>`

### Field Summary

### Fields inherited from interface com.mojang.serialization.Codec

`BOOL, BYTE, BYTE_BUFFER, DOUBLE, EMPTY, FLOAT, INT, INT_STREAM, LONG, LONG_STREAM, PASSTHROUGH, SHORT, STRING`

### Constructor Summary

Constructors
`protected` `NoopWrapperCodec(java.lang.String typeKey, com.mojang.serialization.Codec<K> keyCodec, com.mojang.serialization.Codec<com.mojang.datafixers.util.Pair<K,V>> delegate)`

### Method Summary

All Methods Instance Methods Concrete Methods
`<T> com.mojang.serialization.DataResult<com.mojang.datafixers.util.Pair<com.mojang.datafixers.util.Pair<K,V>,T>>` `decode(com.mojang.serialization.DynamicOps<T> ops, T input)`
`<T> com.mojang.serialization.DataResult<T>` `encode(com.mojang.datafixers.util.Pair<K,V> input, com.mojang.serialization.DynamicOps<T> ops, T prefix)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.mojang.serialization.Codec

`checkRange, comapFlatMap, compoundList, deprecated, dispatch, dispatch, dispatchMap, dispatchMap, dispatchStable, doubleRange, either, fieldOf, flatComapMap, flatXmap, floatRange, intRange, list, listOf, mapEither, mapPair, mapResult, of, of, of, of, optionalField, optionalFieldOf, optionalFieldOf, optionalFieldOf, optionalFieldOf, orElse, orElse, orElse, orElseGet, orElseGet, orElseGet, pair, partialDispatch, promotePartial, simpleMap, stable, unboundedMap, unit, unit, withLifecycle, xmap`

### Methods inherited from interface com.mojang.serialization.Encoder

`comap, empty, encodeStart, error, flatComap`

### Methods inherited from interface com.mojang.serialization.Decoder

`boxed, decode, error, flatMap, map, ofBoxed, ofSimple, ofTerminal, parse, parse, simple, terminal`

### Constructor Detail

#### NoopWrapperCodec

    protected NoopWrapperCodec(java.lang.String typeKey,
                               com.mojang.serialization.Codec<K> keyCodec,
                               com.mojang.serialization.Codec<com.mojang.datafixers.util.Pair<K,V>> delegate)

### Method Detail

#### encode

    public <T> com.mojang.serialization.DataResult<T> encode(com.mojang.datafixers.util.Pair<K,V> input,
                                                             com.mojang.serialization.DynamicOps<T> ops,
                                                             T prefix)

Specified by:
  `encode` in interface `com.mojang.serialization.Encoder<com.mojang.datafixers.util.Pair<K,V>>`

#### decode

    public <T> com.mojang.serialization.DataResult<com.mojang.datafixers.util.Pair<com.mojang.datafixers.util.Pair<K,V>,T>> decode(com.mojang.serialization.DynamicOps<T> ops,
                                                                                                                                   T input)

Specified by:
  `decode` in interface `com.mojang.serialization.Decoder<com.mojang.datafixers.util.Pair<K,V>>`